Untitled

mail@pastecode.io avatar
unknown
plain_text
6 months ago
3.4 kB
0
Indexable
Never
Traceback (most recent call last):
  File "/opt/erpgis_srd/odoo/odoo/tools/safe_eval.py", line 332, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 14, in <module>
  File "/opt/erpgis_srd/addons_esb/reese_esb_request_gte/models/request_market_request.py", line 101, in headpoint_process_publish
    raise UserError(resp_json.get("error").get("message"))
AttributeError: 'NoneType' object has no attribute 'get'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/erpgis_srd/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/opt/erpgis_srd/odoo/odoo/http.py", line 698, in dispatch
    result = self._call_function(**self.params)
  File "/opt/erpgis_srd/odoo/odoo/http.py", line 368, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/erpgis_srd/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/erpgis_srd/odoo/odoo/http.py", line 357, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/erpgis_srd/odoo/odoo/http.py", line 921, in __call__
    return self.method(*args, **kw)
  File "/opt/erpgis_srd/odoo/odoo/http.py", line 546, in response_wrap
    response = f(*args, **kw)
  File "/opt/erpgis_srd/odoo/addons/web/controllers/main.py", line 1611, in run
    result = action.run()
  File "/opt/erpgis_srd/addons/reese_queue_job/models/ir_actions_server.py", line 15, in run
    ).run()
  File "/opt/erpgis_srd/odoo/odoo/addons/base/models/ir_actions.py", line 643, in run
    res = runner(run_self, eval_context=eval_context)
  File "/opt/erpgis_srd/odoo/odoo/addons/base/models/ir_actions.py", line 512, in _run_action_code_multi
    safe_eval(self.code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'
  File "/opt/erpgis_srd/odoo/odoo/tools/safe_eval.py", line 348, in safe_eval
    raise ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr))
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/erpgis_srd/odoo/odoo/http.py", line 654, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/erpgis_srd/odoo/odoo/http.py", line 301, in _handle_exception
    raise exception.with_traceback(None) from new_cause
ValueError: <class 'AttributeError'>: "'NoneType' object has no attribute 'get'" while evaluating
"# Available variables:\n#  - env: Odoo Environment on which the action is triggered\n#  - model: Odoo Model of the record on which the action is triggered; is a void recordset\n#  - record: record on which the action is triggered; may be void\n#  - records: recordset of all records on which the action is triggered in multi-mode; may be void\n#  - time, datetime, dateutil, timezone: useful Python libraries\n#  - float_compare: Odoo function to compare floats based on specific precisions\n#  - log: log(message, level='info'): logging function to record debug information in ir.logging table\n#  - UserError: Warning Exception to use with raise\n#  - Command: x2Many commands namespace\n# To return an action, assign: action = {...}\n\n\nrecord.headpoint_process_publish()"
Leave a Comment